summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--bin/cash/Makefile9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/cash/Makefile b/bin/cash/Makefile
index 4a9ec599..5dd4e726 100644
--- a/bin/cash/Makefile
+++ b/bin/cash/Makefile
@@ -76,12 +76,19 @@ clean:
 	rm -f cash $(OBJS) mknodes mksyntax $(GENSRCS) $(GENHDRS) tags .depend
 
 install: cash $(MAN1)
-	mkdir -p $(PREFIX)/bin $(MANDIR)/man1
+	install -d $(PREFIX)/bin $(MANDIR)/man1
 	install cash $(PREFIX)/bin
 	install -m 644 $(MAN1) $(MANDIR)/man1
 
 uninstall:
 	rm -f $(PREFIX)/bin/cash $(MAN1:%=$(MANDIR)/man1/%)
 
+shell:
+	grep -q '^$(PREFIX)/bin/cash$$' /etc/shells \
+		|| echo '$(PREFIX)/bin/cash' >> /etc/shells
+
+unshell:
+	sed -i sed '\;^$(PREFIX)/bin/cash$$;d' /etc/shells
+
 README: cash.7
 	mandoc cash.7 | col -bx > README
33fe5b5dd98d19716cab7080&follow=1'>Add termDisplayJune McEnroe 2019-08-01Implement ECHJune McEnroe 2019-08-01Use PSCap in updateCSI and styleDiffJune McEnroe 2019-08-01Implement termSnapshotJune McEnroe 2019-08-01Factor out SGR handlingJune McEnroe 2019-08-01Add poll timeout to ingestJune McEnroe 2019-07-31Be silent about client errorsJune McEnroe 2019-07-31Update ingest terminalJune McEnroe 2019-07-31Import terminal emulation from shottyJune McEnroe 2019-07-29Pass original command to dispatchJune McEnroe 2019-07-29Rename wrapper to dispatchJune McEnroe 2019-07-29Track only the max client fdJune McEnroe 2019-07-28Do basic multiplexing in ingestJune McEnroe 2019-07-28Add empty commandsJune McEnroe 2019-07-28Rename ptee streamJune McEnroe 2019-07-28Remove ptee keybindsJune McEnroe 2019-07-28Import ptee from srcJune McEnroe 2019-07-28Remove old commandsJune McEnroe 2018-04-20Clean up pteeJune McEnroe 2018-04-20Uncommitted changes from months ago :(June McEnroe 2018-02-25Remove winchJune McEnroe 2018-02-25Echo at end of outputJune McEnroe 2018-02-25Add stopJune McEnroe 2018-02-25Switch back to static window sizingJune McEnroe 2018-02-25Add missing includeJune McEnroe 2018-02-25Define rules for multi-object binariesJune McEnroe 2018-02-25Rewrite everythingJune McEnroe 2018-02-22Hardcode path lengths in setupJune McEnroe 2018-02-22Add setup, start commandJune McEnroe 2018-02-22Indent list of streamsJune McEnroe 2018-02-22Add welcome message to ssh-commandJune McEnroe 2018-02-22Sleep before truncationJune McEnroe To give viewers a chance to catch up. I wonder how bad this will be. 2018-02-22List streams if none givenJune McEnroe 2018-02-22Set ForceCommand ssh-commandJune McEnroe 2018-02-22Rename command to ssh-commandJune McEnroe 2018-02-22Add command.shJune McEnroe 2018-02-22Factor out STREAM_SIZE for ingest and broadcastJune McEnroe 2018-02-22Handle EINTR from keventJune McEnroe 2018-02-22Include libutil in chroot.tarJune McEnroe